Skip to main content

Introduction

A brand is a collection of products marketed and sold under a unified name. The brands associated with an account define the products that the account can promote on retailer sites. An account can have access to one or more brands, and this access is typically managed by Criteo. Brand attributes are standardized across retailers to ensure consistency.

Endpoint

MethodEndpointDescription
GET/accounts/{accountId}/brandsGet Accounts

Brand Attributes

AttributeData TypeDescription
idstringBrand IDAccepted values: int64 Writeable? N / Nullable? N
namestringBrand nameAccepted values: 510 char limit Writeable: N / Nullable? N

Get All Brands

This endpoint lists all brands associated with an account. Results are paginated.
View in the API ReferenceYou can also check this endpoint in the API reference.

Sample Request

curl -X GET "https://api.criteo.com/{version}/retail-media/accounts/18446744073709551616/brands" \
    -H "Authorization: Bearer <MY_ACCESS_TOKEN>"

Sample Response

{
    "data": [
        {
            "type": "RetailMediaBrand",
            "id": "7672171780147256541",
            "attributes": {
                "name": "Brand 123"
            }
        },
 
        // ...
 
        {
            "type": "RetailMediaBrand",
            "id": "5979998329674492121",
            "attributes": {
                "name": "Brand 789"
            }
        }
    ],
    "metadata": {
        "totalItemsAcrossAllPages": 15,
        "currentPageSize": 25,
        "currentPageIndex": 0,
        "totalPages": 1,
        "nextPage": null,
        "previousPage": null
    }
}

Responses

ResponseDescription
🟢200Call executed with success
🔴403API user does not have the authorization to make requests to the account ID. For an authorization request, follow theauthorization requeststeps

What’s Next